import 'package:flutter/material.dart';

@immutable
class CursorType {
  final String name;
  const CursorType(this.name);
}

class Cursors {
  Cursors._();

  static const CursorType pointer = CursorType('pointer');
  static const CursorType auto = CursorType('auto');
  static const CursorType move = CursorType('move');
  static const CursorType noDrop = CursorType('no-drop');
  static const CursorType colResize = CursorType('col-resize');
  static const CursorType allScroll = CursorType('all-scroll');
  static const CursorType notAllowed = CursorType('not-allowed');
  static const CursorType rowResize = CursorType('row-resize');
  static const CursorType crosshair = CursorType('crosshair');
  static const CursorType progress = CursorType('progress');
  static const CursorType eResize = CursorType('e-resize');
  static const CursorType neResize = CursorType('ne-resize');
  static const CursorType text = CursorType('text');
  static const CursorType nResize = CursorType('n-resize');
  static const CursorType nwResize = CursorType('nw-resize');
  static const CursorType help = CursorType('help');
  static const CursorType verticalText = CursorType('vertical-text');
  static const CursorType sResize = CursorType('s-resize');
  static const CursorType seResize = CursorType('se-resize');
  static const CursorType inherit = CursorType('inherit');
  static const CursorType wait = CursorType('wait');
  static const CursorType wResize = CursorType('w-resize');
  static const CursorType swResize = CursorType('sw-resize');
}