import 'package:flutter/material.dart';

class AirAlert extends StatelessWidget {
  final String text;

  AirAlert({this.text});

  @override
  Widget build(BuildContext context) {
    return AlertDialog(
      title: Text(this.text),
      actions: <Widget>[
        FlatButton(
          child: Text('OK'),
          onPressed: () {
            Navigator.of(context).pop();
          },
        ),
      ],
    );
  }
}
