import 'package:airpackage/themes/colors.dart';
import 'package:flutter/material.dart';

class AirTooltipFixed extends StatelessWidget {
  final String value;

  AirTooltipFixed({this.value});

  @override
  Widget build(BuildContext context) {
    return Container(
      child: Column(
        mainAxisAlignment: MainAxisAlignment.spaceBetween,
        children: <Widget>[
          Container(
            width: 40,
            height: 20,
            alignment: Alignment.center,
            decoration: BoxDecoration(
              color: AirColors.text.dark,
              borderRadius: BorderRadius.circular(4),
            ),
            child: Text(
              value + '%',
              style: TextStyle(
                color: AirColors.white,
              ),
            ),
          ),
          Container(
            width: 0,
            height: 7,
            decoration: BoxDecoration(
              border: Border(
                bottom: BorderSide(width: 7, color: Colors.black38),
                left: BorderSide(width: 7, color: Colors.transparent),
                right: BorderSide(width: 7, color: Colors.transparent),
              ),
            ),
          )
        ],
      ),
    );
  }
}
